##
#  Copyright (c) 2010-2016 LabKey Corporation
# 
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
# 
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
##

## R Script generated by LabKey Server on 7 Jan 2010 17:10:00
#
# This script makes use of the LabKey Remote API for R package (Rlabkey), which can be obtained via CRAN
# using the package name "Rlabkey".  The Rlabkey package also depends on the "rjson" and "rCurl" packages.
#
# See https://www.labkey.org/wiki/home/Documentation/page.view?name=rAPI for more information.


labkey.getSchemas <- function(baseUrl=NULL, folderPath)
{
baseUrl=labkey.getBaseUrl(baseUrl)    
  
## Empty string/NULL checking

## Error if any of baseUrl, folderPath, schemName or queryName are missing
if (exists("baseUrl")==FALSE || is.null(baseUrl) || exists("folderPath")==FALSE)
    stop (paste("A value must be specified for each of baseUrl, folderPath, schemaName and queryName."))

## URL encoding of folder path (if not already encoded)
if(folderPath==URLdecode(folderPath)) {folderPath <- URLencode(folderPath)}

## Formatting
baseUrl <- gsub("[\\]", "/", baseUrl)
folderPath <- gsub("[\\]", "/", folderPath)
if(substr(baseUrl, nchar(baseUrl), nchar(baseUrl))!="/"){baseUrl <- paste(baseUrl,"/",sep="")}
if(substr(folderPath, nchar(folderPath), nchar(folderPath))!="/"){folderPath <- paste(folderPath,"/",sep="")}
if(substr(folderPath, 1, 1)!="/"){folderPath <- paste("/",folderPath,sep="")}

## Construct url
myurl <- paste(baseUrl,"query",folderPath,"getSchemas.view?apiVersion=9.3", sep="")

## Execute via our standard GET function
mydata <- labkey.get(myurl)

decode <- fromJSON(mydata)
cn<-names(decode)
newdata<- as.data.frame(cn)
names(newdata)[1]<-"schemaName"

return(newdata)
}


